package com.srs.comprehensive.mapper;

import java.util.List;

import com.github.yulichang.base.MPJBaseMapper;
import com.srs.comprehensive.domain.CphBiyeApply;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.comprehensive.domain.Vo.CphBiyeApplyVo;
import com.srs.comprehensive.domain.Vo.CphClassRankScore;
import com.srs.comprehensive.domain.Vo.CphSearch;
import org.apache.ibatis.annotations.Mapper;

/**
 * 优秀毕业生Mapper接口
 *
 * @author srs
 * @date 2024-01-05
 */
@Mapper
public interface CphBiyeApplyMapper extends MPJBaseMapper<CphBiyeApply> {
    /**
     * 查询优秀毕业生
     *
     * @param id 优秀毕业生主键
     * @return 优秀毕业生
     */
    public CphBiyeApply selectCphBiyeApplyById(Long id);

    CphClassRankScore getOwnStuScoreMajorRank(String stuNo);

    List<CphBiyeApplyVo> listView(CphSearch param);


    public List<CphBiyeApplyVo> exportView(CphSearch param);


    /**
     * 查询优秀毕业生列表
     *
     * @param cphBiyeApply 优秀毕业生
     * @return 优秀毕业生集合
     */
    List<CphBiyeApply> selectCphBiyeApplyList(CphBiyeApply cphBiyeApply);

    /**
     * 新增优秀毕业生
     *
     * @param cphBiyeApply 优秀毕业生
     * @return 结果
     */
    int insertCphBiyeApply(CphBiyeApply cphBiyeApply);

    /**
     * 修改优秀毕业生
     *
     * @param cphBiyeApply 优秀毕业生
     * @return 结果
     */
    int updateCphBiyeApply(CphBiyeApply cphBiyeApply);

    /**
     * 删除优秀毕业生
     *
     * @param id 优秀毕业生主键
     * @return 结果
     */
    int deleteCphBiyeApplyById(Long id);

    /**
     * 批量删除优秀毕业生
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCphBiyeApplyByIds(Long[] ids);
}
